import os
import sys

amc = "/opt/amc/server"
site_packages = "%s/site-packages" % amc
pyDes_setup = "%s/setups/pyDes" % amc
sys.path.insert(1,'%s/' % site_packages)

def can_import_pyDes():

    try:
        from pyDes import *
    except:
        return 0
    return 1

def generate_pyDes():

    try:
        print "installing pyDes"
        exit_status = os.system("cd %s/pyDes-2.0.1 && python setup.py install --home=%s --install-lib=%s --install-headers=%s" % (pyDes_setup, site_packages, site_packages, site_packages))
        if exit_status != 0:
            sys.stderr.write("AMC dependency not met. Please install gcc and python-dev (for Debian/Ubuntu) or python-devel (for CentOS/RedHatLinux) before installing AMC.\n")
            return 0
        if can_import_pyDes():
            return 1
        else:
            return 0
    except:
        return 0

